> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get acknowledgment receipt for notification

> This endpoint gets notification acknowledgment from external service.



## OpenAPI

````yaml notifications.openapi post /oms-notifications/acknowledge
openapi: 3.0.1
info:
  contact:
    email: support@fabric.inc
    name: Orders team
  description: >-
    fabric **Notifications** API enables you (Storefronts) to resend
    notifications to customers for specific order-related events, such as
    confirmation, status updates, cancellations, and more. it's also used to get
    notification acknowledgements from external services.
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
  title: Orders - Notifications API
  version: 3.0.0
  x-audience: external-public
servers:
  - description: Production
    url: https://api.fabric.inc/v3
security:
  - authorization: []
tags:
  - description: >-
      fabric **Notifications** API enables you (Storefronts) to resend
      notifications to customers for specific order-related events, such as
      confirmation, status updates, cancellations, and more. it's also used to
      get notification acknowledgements from external services.
    name: Notifications
externalDocs:
  description: Find out more about fabric Orders (also called OMS)
  url: https://developer.fabric.inc/v3/docs/orders-overview
paths:
  /oms-notifications/acknowledge:
    post:
      tags:
        - Notifications
      summary: Get acknowledgment receipt for notification
      description: This endpoint gets notification acknowledgment from external service.
      operationId: acknowledgeNotification
      parameters:
        - $ref: '#/components/parameters/xFabricTenantId'
        - $ref: '#/components/parameters/xFabricChannelId'
        - $ref: '#/components/parameters/xFabricRequestId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/acknowledgmentRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiResponse'
          description: OK
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '400':
          content:
            application/json:
              example:
                errors:
                  - message: Invalid request
                    type: CLIENT_ERROR
                message: Bad request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Bad request
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '401':
          content:
            application/json:
              example:
                message: Unauthorized request
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Unauthorized
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '404':
          content:
            application/json:
              example:
                message: No resource found for the given ID
                type: CLIENT_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Not found
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
        '500':
          content:
            application/json:
              example:
                message: Internal server error
                type: SERVER_ERROR
              schema:
                $ref: '#/components/schemas/errorResponse'
          description: Internal server error
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/xFabricRequestIdResponseHeader'
components:
  parameters:
    xFabricTenantId:
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      example: 5f328bf0b5f328bf0b5f328b
      in: header
      name: x-fabric-tenant-id
      required: true
      schema:
        type: string
    xFabricChannelId:
      description: >-
        x-fabric-channel-id identifies the sales channel where the API request
        is being made; primarily for multichannel use cases. The channel ids are
        12 corresponding to US and 13 corresponding to Canada. The default
        channel id is 12. This field is required.
      example: '12'
      in: header
      name: x-fabric-channel-id
      required: true
      schema:
        type: string
    xFabricRequestId:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      in: header
      name: x-fabric-request-id
      required: false
      schema:
        type: string
  schemas:
    acknowledgmentRequest:
      description: Acknowledgment request details
      properties:
        acknowledgedAt:
          description: Notification event acknowledgement time (UTC format)
          example: '2022-07-14T10:27:28-05:00'
          type: string
        documentId:
          description: >-
            Unique ID based on `documentType`. When `documentType` is `ORDER`,
            this is the order ID.
          example: 6319c04f2ec591b653f328dd
          type: string
        documentType:
          description: Module name
          enum:
            - ALLOCATION
            - ORDER
            - LOCATION
            - SHIPMENT
            - INVENTORY
            - INVOICE
            - TRANSFER
            - LOCATION_OUTAGE
            - TRANSFER_SHIPMENT
            - LOCATION_CAPACITY_OVERRIDE
          example: ORDER
          type: string
        notificationType:
          description: Notification type
          enum:
            - SINGLE_ITEM_ORDER_CONFIRMATION_EMAIL
            - MULTI_ITEM_ORDER_CONFIRMATION_EMAIL
            - BOPIS_ORDER_CONFIRMATION_EMAIL
            - SHIPPING_CONFIRMATION_EMAIL
            - BOPIS_ORDER_READY_FOR_PICKUP
            - BOPIS_ORDER_COMPLETED
            - BOPIS_REMINDER_EMAIL
            - BACKORDER_NOTIFICATION_EMAIL
            - BACKORDER_30_DAYS_CONSENT_TO_DELAY_EMAIL
            - BACKORDER_53_DAYS_CONSENT_TO_DELAY_EMAIL
            - BACKORDER_CANCEL_EMAIL
            - BACKORDER_AUTH_DECLINE_EMAIL
            - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_ITEM_CANCEL
            - ORDER_CANCELLATION_EMAIL_WEBCSC_ORDER_CANCEL
            - ORDER_CANCELLATION_EMAIL_LOCATE_ORDER_ITEM_CANCEL
            - RETURN_NOTIFICATION_EMAIL
            - REFUND_NOTIFICATION_EMAIL
            - APPEASEMENT_NOTIFICATION_EMAIL
            - EXCHANGE_NOTIFICATION_EMAIL
            - SHIPMENT_CREATED
            - ORDER_CREATED
            - INVOICE_POSTED
            - HIGH_ALERT_NOTIFICATION_EMAIL
            - MEDIUM_ALERT_NOTIFICATION_EMAIL
            - LOW_ALERT_NOTIFICATION_EMAIL
            - PAYMENT_AUTH_DECLINED_EMAIL
          example: BOPIS_ORDER_COMPLETED
          type: string
      required:
        - acknowledgedAt
        - documentId
        - documentType
        - notificationType
      type: object
    apiResponse:
      description: Response message
      properties:
        message:
          description: Response message
          example: OK
          type: string
      type: object
    errorResponse:
      description: Error response
      properties:
        errors:
          description: Errors
          items:
            $ref: '#/components/schemas/errorResponse'
          type: array
        message:
          description: Error message
          example: Bad request
          type: string
        type:
          description: Error type
          example: CLIENT_ERROR
          type: string
      type: object
  headers:
    xFabricRequestIdResponseHeader:
      description: Unique request ID
      example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
      schema:
        type: string
  securitySchemes:
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````